
%global debug_package %{nil} 

Name:           scm-workbench
Version:        1.3.0
Release:        1%{?dist}
Summary:        SCM Workbench

License:        ASL 2.0
URL:            https://github.com/barry-scott/scm-workbench
Source0:        https://github.com/barry-scott/scm-workbench/%{name}-%{version}.tar.gz


BuildArch:      noarch

Requires: git-core >= 2.7
Requires: python3
Requires: python3-GitPython
Requires: python3-hglib
Requires: python3-pyqt6
Requires: python3-pysvn
Requires: python3-qscintilla-qt6
Requires: python3-xml-preferences
Requires: subversion

BuildRequires: gettext
BuildRequires: make
BuildRequires: python3

%global __python %{__python3}

%description
SCM Workbench is a GUI to easily work with Git, 
Mercurial (hg) and Subversion (svn) repositories.

%prep
# unpack Source0
%setup

%build
echo Info: build PWD $( pwd )
true

%install
echo Info: Install PWD $( pwd )

export BUILDER_TOP_DIR=$( pwd )
export PYTHON=/usr/bin/python3

cd ${BUILDER_TOP_DIR}/Builder
./build-install-tree.sh     %{buildroot}     %{_bindir}     %{_datarootdir}/scm-workbench     %{_mandir}/man1     %{_datarootdir}/doc/scm-workbench     %{_datarootdir}/applications

%files
%defattr(0644, root, root, 0755)
%attr(755, root, root) %{_bindir}/scm-workbench
%attr(755, root, root) %{_bindir}/scm-workbench-git-callback
# include all files in the _datarootdir (includes man1 and desktop)
%{_datarootdir}

%changelog
* Sat Apr 29 2023 Barry Scott <barry@barrys-emacs.org> - 1.3.0-1
- Specfile create by package_workbench.py
